extern crate rand;
extern crate uuid;
extern crate tungstenite;
extern crate env_logger;
extern crate bcrypt;
extern crate chrono;

extern crate dotenv;
extern crate postgres;
extern crate r2d2;
extern crate r2d2_postgres;

extern crate serde;
extern crate serde_cbor;
#[macro_use] extern crate serde_derive;
#[macro_use] extern crate failure;

mod cryp;
mod game;
mod net;
mod skill;
mod spec;
mod names;
mod rpc;
mod account;
mod instance;
mod player;
mod mob;
mod util;
mod vbox;
mod warden;

use dotenv::dotenv;
use net::{start};

fn main() {
    dotenv().ok();
    start()
}
